#ifndef _SLIPCMD_H
#define _SLIPCMD_H
#ident	"@(#)slipcmd.h	1.2"
/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */

#define SLIPDEV		"/dev/slip"
#define SLIPSYS		"/etc/slipsys"
#define PIPEPATH	"/var/.slipipe"
#define RW_USER		(S_IRUSR|S_IWUSR)
#define RW_GROUP	(S_IRGRP|S_IWGRP)
#define RW_OTHER	(S_IROTH|S_IWOTH)
#define PIPEMODE	(RW_USER|RW_GROUP|RW_OTHER)
#define IFCONFIGPATH	"/usr/sbin/ifconfig"
#define IFCONFIG	"ifconfig"

/*
 * Structure used to communicate with slip daemon.
 */
struct slcommand {
	int	opcode;
	char	arg[MAXHOSTNAMELEN];
};

/*
 * Opcodes.
 */
#define CONNECT		1	/* create a connection */
#define DISCONNECT	2	/* break a connection */

/*
 * Structure that represents a line in /etc/slipsys.
 */
struct conninfo {
	char	*laddr;		/* local IP address */
	char	*fhost;		/* foreign hostname */
	char	*faddr;		/* foreign IP address */
	char	*chatscript;	/* chat script used to log in */
};

extern void error(const char *, ...);	/* from Chapter 2 */
extern void fatal(const char *, ...);	/* from Chapter 2 */
extern int initlog(const char *);	/* from Chapter 2 */
extern void log(const char *, ...);	/* from Chapter 2 */
extern void daemonize(const char *);	/* from Chapter 2 */
extern struct conninfo *getcinfo(char *);
extern void freecinfo(struct conninfo *);

#endif /* _SLIPCMD_H */
