/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */
#include <rpc/rpc.h>

static void
dispatcher(struct svc_req *req, SVCXPRT *handle)
{
	struct authsys_parms *ap;

	/*
	 * Don't authenticate client for the null
	 * procedure.
	 */
	if (req->rq_proc == NULLPROC) {
		svc_sendreply(handle, xdr_void, NULL);
		return;
	}

	/*
	 * If the client isn't using AUTH_SYS style
	 * authentication, deny the service request.
	 */
	if (req->rq_cred.oa_flavor != AUTH_SYS) {
		svcerr_weakauth(handle);
		return;
	}

	/*
	 * Deny service for all users with user IDs
	 * greater than 200.
	 */
	ap = (struct authsys_parms *)req->rq_clntcred;
	if (ap->aup_uid > 200) {
		svcerr_weakauth(handle);
		return;
	}

	/*
	 * Service is allowed.
	 */
	switch (req->rq_proc) {
}
